Subject: [Sipping] Should we define target refresh response? Clarification required on draft-ietf-sipping-dialogusage

From: Tina TSOU <[email-masked]>
Date: Fri, 22 Sep 2006 16:51:14 +0800

Hi all,
In draft draft-ietf-sipping-dialogusage, it had mentioned that INVITE, UPDATE, SUBSCRIBE and NOTIFY and REFER are target refresh request, but 200 class response of these requests are target refresh response if Contact is present? 

In RFC3261 section 12.2.1.2 Para 4, it said 200 class response of target refresh request can update remote target URI.

When a UAC receives a 2xx response to a target refresh request, it
   MUST replace the dialog's remote target URI with the URI from the
   Contact header field in that response, if present.

So, can the same rule be applied to UPDATE, SUBSCRIBE and NOTIFY and REFER? Even for middle dialog request?

Many thanks in advance:)

B. R.
Tina
Messengers: 
MSN: [email-masked]   Yahoo: tina_tsou    Skype: tinaTSOU    Jabber: [email-masked]
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Fri, 22 Sep 2006 15:15:36 +0200

Hi Tina,
 
The rule can be applied for middle dialog request, since UPDATE (and
re-INVITE) are mid-dialog requests.
 
Regards,
 
Christer

________________________________

	From: Tina TSOU [mailto:[email-masked]] 
	Sent: 22. syyskuuta 2006 11:51
	To: [email-masked]
	Subject: [Sipping] Should we define target refresh response?
Clarification required on draft-ietf-sipping-dialogusage

	Hi all,
	In draft draft-ietf-sipping-dialogusage, it had mentioned that
INVITE, UPDATE, SUBSCRIBE and NOTIFY and REFER are target refresh
request, but 200 class response of these requests are target refresh
response if Contact is present? 
	 
	In RFC3261 section 12.2.1.2 Para 4, it said 200 class response
of target refresh request can update remote target URI.
	 
	When a UAC receives a 2xx response to a target refresh request,
it
	   MUST replace the dialog's remote target URI with the URI from
the
	   Contact header field in that response, if present.
	 
	So, can the same rule be applied to UPDATE, SUBSCRIBE and NOTIFY
and REFER? Even for middle dialog request?
	 
	Many thanks in advance:)
	
	B. R.
	Tina
	Messengers: 
	MSN: [email-masked]   Yahoo: tina_tsou    Skype: tinaTSOU
Jabber: [email-masked]

---

From: Tina TSOU <[email-masked]>
Date: Mon, 25 Sep 2006 10:46:00 +0800

Hi Christer,

Thanks for your prompt response. 

Is any answer to SUBSCRIBE and NOTIFY and REFER case? As

1. In multiple dialog usages case, SUBSCRIBE, REFER can be middle dialog requests.
2. NOTIFY message can be mid-dialog request for any SUBSCRIPTION usage.

B. R.
Tina
  ----- Original Message ----- 
  From: Christer Holmberg (JO/LMF) 
  To: Tina TSOU ; [email-masked] 
  Sent: Friday, September 22, 2006 9:15 PM
  Subject: RE: [Sipping] Should we define target refresh response? Clarification required on draft-ietf-sipping-dialogusage

  Hi Tina,

  The rule can be applied for middle dialog request, since UPDATE (and re-INVITE) are mid-dialog requests.

  Regards,

  Christer

----------------------------------------------------------------------------
    From: Tina TSOU [mailto:[email-masked]] 
    Sent: 22. syyskuuta 2006 11:51
    To: [email-masked]
    Subject: [Sipping] Should we define target refresh response? Clarification required on draft-ietf-sipping-dialogusage

    Hi all,

    Many thanks in advance:)

    B. R.
    Tina
    Messengers: